package com.dev.swms.server.service.task;

import java.util.List;
import java.util.Map;

import org.springframework.transaction.annotation.Transactional;

import com.dev.swms.server.model.inventory.Task;
import com.dev.energy.server.service.BaseManager;

/**
 * 
 * @author  dev
 * @description 
 * 
 */
@Transactional(readOnly=false)
public interface TaskManager extends BaseManager {
	
	
	boolean isExistMoveTask(Long userId);
	
	Map<String,Long> getTaskByTypeAndWorker(Long userId);
	
	@Transactional
	void taskBack(Long taskId);
	
	@Transactional
	void taskBack(List<Long> tasks);
	
	@Transactional
	void lock(List<Long> tasks);
	
	@Transactional
	void unlock(List<Long> tasks);
	
	@Transactional
	void assignedTask(Task task);
	
}


